<phpunit bootstrap="./tests/bootstrap.php" forceCoversAnnotation="true" beStrictAboutCoversAnnotation="true" failOnWarning="true" verbose="true">
    <testsuites>
        <testsuite name="unit">
            <directory prefix="class-tests-" suffix=".php">./tests/</directory>
        </testsuite>
    </testsuites>
    <filter>
        <whitelist processUncoveredFilesFromWhitelist="true">
            <file>class-cartography.php</file>
            <directory suffix=".php">./includes</directory>
        </whitelist>
    </filter>
    <listeners>
        <listener class="JohnKary\PHPUnit\Listener\SpeedTrapListener" />
    </listeners>
    <logging>
        <log type="coverage-clover" target="clover.xml" />
    </logging>
</phpunit>
